Bug 110774 - bad source code
Summary: bad source code
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm-obsolete   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Heinz Mauelshagen
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-24 15:35 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-06 14:37:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-11-24 15:35:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:


I just tried to compile package lvm-1_0_3-13 from Fedora.

The compiler said

1.

lvm_show_size.c(66): remark #592: variable "sz" is used before its 
value is set

The source code is

          sz += sprintf ( size_buf, "0");

but

   int sz;

Is the declaration. Suggest 

   int sz = 0;

might be better code.


Version-Release number of selected component (if applicable):
lvm-1_0_3-13 

How reproducible:
Always

Steps to Reproduce:
1. by inspection
2.
3.
    

Additional info:


Note You need to log in before you can comment on or make changes to this bug.